# Class TCefPostDataRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPostData

## Declaration

`type TCefPostDataRef = class(TCefBaseRefCountedRef, ICefPostData)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefPostDataRef

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `function HasExcludedElements: Boolean;`
| `function GetElementCount: NativeUInt;`
| `procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);`
| `function RemoveElement(const element: ICefPostDataElement): Boolean;`
| `function AddElement(const element: ICefPostDataElement): Boolean;`
| `procedure RemoveElements;`
| `class function UnWrap(data: Pointer): ICefPostData;`
| `class function New: ICefPostData;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
This item has no description. Showing description inherited from ICefPostData.IsReadOnly. Returns true (1) if this object is read-only.

| `function HasExcludedElements: Boolean;`
This item has no description. Showing description inherited from ICefPostData.HasExcludedElements. Returns true (1) if the underlying POST data includes elements that are not represented by this ICefPostData object (for example, multi-part file upload data). Modifying ICefPostData objects with excluded elements may result in the request failing.

| `function GetElementCount: NativeUInt;`
This item has no description. Showing description inherited from ICefPostData.GetElementCount. Returns the number of existing post data elements.

| `procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);`
This item has no description. Showing description inherited from ICefPostData.GetElements. Retrieve the post data elements.

| `function RemoveElement(const element: ICefPostDataElement): Boolean;`
This item has no description. Showing description inherited from ICefPostData.RemoveElement. Remove the specified post data element. Returns true (1) if the removal succeeds.

| `function AddElement(const element: ICefPostDataElement): Boolean;`
This item has no description. Showing description inherited from ICefPostData.AddElement. Add the specified post data element. Returns true (1) if the add succeeds.

| `procedure RemoveElements;`
This item has no description. Showing description inherited from ICefPostData.RemoveElements. Remove all existing post data elements.

| `class function UnWrap(data: Pointer): ICefPostData;`
This item has no description.

| `class function New: ICefPostData;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.